# Uses of Class
org.apache.lucene.analysis.ja.dict.UnknownDictionary

Packages that use UnknownDictionary
Package
Description
org.apache.lucene.analysis.ja
Analyzer for Japanese.
org.apache.lucene.analysis.ja.dict
Kuromoji dictionary implementation.

## Uses of UnknownDictionary in org.apache.lucene.analysis.ja

Constructors in org.apache.lucene.analysis.ja with parameters of type UnknownDictionary
Modifier
Constructor
Description
``
`JapaneseTokenizer(AttributeFactory factory, TokenInfoDictionary systemDictionary, UnknownDictionary unkDictionary, ConnectionCosts connectionCosts, UserDictionary userDictionary, boolean discardPunctuation, boolean discardCompoundToken, JapaneseTokenizer.Mode mode)`
Create a new JapaneseTokenizer, supplying a custom system dictionary and unknown dictionary.

## Uses of UnknownDictionary in org.apache.lucene.analysis.ja.dict

Methods in org.apache.lucene.analysis.ja.dict that return UnknownDictionary
Modifier and Type
Method
Description
`static UnknownDictionary`
UnknownDictionary.`getInstance()`